petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscInfoAllow

Causes PetscInfo() messages to be printed to standard output.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoAllow(PetscBool flag, const char filename[])

Not Collective, each processor may call this separately, but printing is only turned on if the lowest processor number associated with the PetscObject associated with the call to PetscInfo() has called this routine.

### Input Parameter

| flag | - PETSC_TRUE or PETSC_FALSE
| filename | - optional name of file to write output to (defaults to stdout)

### Options Database Key

-info [optional filename] -Activates PetscInfoAllow()

### See Also

PetscInfo()

Level:advanced
Location:src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages